bugGNU Health - Bugs: bug #62517, Dependency bug on PyPI for...

 
 

You are not allowed to post comments on this tracker with your current authentication level.

bug #62517: Dependency bug on PyPI for gnuhealth-dentistry

Submitter:  Gerald Wiese <gerald_wiese>
Submitted:  Tue 24 May 2022 01:06:29 PM UTC
 
Category:  Packaging Severity:  3 - Normal
Item Group:  None Status:  Fixed
Privacy:  Public Assigned to:  meanmicio
Open/Closed:  Closed Release:  4.0.0
Module:  health_dentistry Component:  None

Tue 07 Jun 2022 07:41:10 PM UTC, comment #4: 

Dear Gerald, dear Sergi

Great! Thank you for the feedback.

We should deliver this week patchset 4.0.4, and generate the pypi packages, with this and other fixes :)

All the best
Luis

Luis Falcon <meanmicio>
Project Administrator
Tue 07 Jun 2022 12:57:09 PM UTC, comment #3: 

Me too.
As soon as you published the fix it can also be included in gnuhealth-all-modules.
Best
Gerald

comment #2:

> Dear Luis,
>
> I tested your fix and I can confirm it fixes the issue.
>
> It will be great if you can publish it to pypi to avoid manual build of python packages.
>
> Thanks in advance!

Gerald Wiese <gerald_wiese>
Project Member
Tue 07 Jun 2022 12:34:47 PM UTC, comment #2: 

Dear Luis,

I tested your fix and I can confirm it fixes the issue.

It will be great if you can publish it to pypi to avoid manual build of python packages.

Thanks in advance!

Sergi Almacellas Abellana <pokoli>
Project Member
Mon 06 Jun 2022 04:00:46 PM UTC, comment #1: 

Dear Gerald

Thank you! The issue was at setup.py of this package, relying on the old naming convention.

Fixed on https://hg.savannah.gnu.org/hgweb/health/rev/31ceaaddc3ab

Please try and let us know.

Bests
Luis

Luis Falcon <meanmicio>
Project Administrator
Tue 24 May 2022 01:06:29 PM UTC, original submission:  

Installing gnuhealth-dentistry using pip fails because there is a file gnuhealth_dentistry.egg-info/requires.txt containing the line "trytond_health<6.1,>=6.0" where trytond_health has the newest version 3.2.10 released 2018.
I guess this should either be removed or changed to "gnuhealth==4.0.3".

Gerald Wiese <gerald_wiese>
Project Member

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by pokoli (Posted a comment)
  • -email is unavailable- added by meanmicio (Updated the item)
  • -email is unavailable- added by gerald_wiese (Submitted the item)
  •  

    There are 0 votes so far. Votes easily highlight which items people would like to see resolved in priority, independently of the priority of the item set by tracker managers.

     

     

     

    Follow 6 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2022-06-07 meanmicio StatusReady For Test Fixed
        Open/ClosedOpen Closed
    2022-06-06 meanmicio StatusConfirmed Ready For Test
    2022-06-06 meanmicio StatusNone Confirmed
        Assigned toNone meanmicio
        ReleaseNone 4.0.0

    Back to the top


    Powered by Savane 3.9